// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "Components/EditableTextBox.h"
#include "CoreMinimal.h"
#include "ModeInputTextBox.generated.h"

UENUM()
enum class THSModeTarget : uint8 {
  Energy,
  OpMode
};

/**
 *
 */
UCLASS()
class MYPROJECT_API UModeInputTextBox : public UEditableTextBox {

  GENERATED_BODY()

  UPROPERTY(EditAnywhere)
  THSModeTarget myTarget;

  void HandleOnTextChanged(FText const & inText) override;
};
